cascading.tuple

## Class TupleEntryIterator

- java.lang.Object
- - cascading.tuple.TupleEntryIterator

- All Implemented Interfaces:
    Closeable, AutoCloseable, Iterator<TupleEntry>
  Direct Known Subclasses:
    TupleEntryChainIterator, TupleEntryIterableChainIterator, TupleEntrySchemeIterator

      public abstract class TupleEntryIterator
      extends Object
      implements Iterator<TupleEntry>, Closeable

  Class TupleEntryIterator provides an efficient Iterator for returning `TupleEntry` elements in an underlying `Tuple` collection.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TupleEntryIterator(Fields fields)` Constructor TupleEntryIterator creates a new TupleEntryIterator instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Fields` | `getFields()` Method getFields returns the fields of this TupleEntryIterator object.
    `TupleEntry` | `getTupleEntry()` Method getTupleEntry returns the entry of this TupleEntryIterator object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `hasNext, next, remove`

    - ### Methods inherited from interface java.io.Closeable

      `close`

- - ### Constructor Detail

    - #### TupleEntryIterator

          public TupleEntryIterator(Fields fields)

      Constructor TupleEntryIterator creates a new TupleEntryIterator instance.
      Parameters:
        `fields` - of type Fields

  - ### Method Detail

    - #### getFields

          public Fields getFields()

      Method getFields returns the fields of this TupleEntryIterator object.
      Returns:
        the fields (type Fields) of this TupleEntryIterator object.

    - #### getTupleEntry

          public TupleEntry getTupleEntry()

      Method getTupleEntry returns the entry of this TupleEntryIterator object.

      Since `TupleEntry` and the underlying `Tuple` instances are re-used, you must make a copy if you wish to store the instances in a Collection for later use.
      Returns:
        the entry (type TupleEntry) of this TupleEntryIterator object.

Copyright © 2007-2015 Concurrent, Inc. All Rights Reserved.